Name:		eekboard
Version:	0.0.2
Release:	1%{?dist}
Summary:	A Virtual Keyboard for GNOME 

Group:		Applications/System
License:	GPLv3+
URL:		http://ueno.github.com/eekboard/
Source0:	http://github.com/downloads/ueno/eekboard/eekboard-%{version}.tar.gz
Source1:	%{name}.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	glib2-devel
BuildRequires:	gobject-introspection
BuildRequires:	gtk2-devel
BuildRequires:	libfakekey-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	libxklavier-devel
BuildRequires:	intltool desktop-file-utils

Requires: libeek = %{version}-%{release}
Requires: libeek-gtk = %{version}-%{release}
Requires: libeek-clutter = %{version}-%{release}
Requires: libeek-xkl = %{version}-%{release}

%description
eekboard is a virtual keyboard software package which ships with a
standalone virtual keyboard application (eekboard), and a library to
create keyboard-like UI (libeek).

%package -n libeek
Summary:	Runtime libraries for eekboard
Group:		System Environment/Libraries

%description -n libeek
This package contains the libraries for eekboard

%package -n libeek-devel
Summary:	Development tools for eekboard
Group:		Development/Libraries

Requires:	libeek = %{version}-%{release}

%description -n libeek-devel
This package contains the development tools for eekboard.

%package -n libeek-devel-docs
Summary:	Developer documents for eekboard
Group:		Development/Libraries

Requires:	libeek = %{version}-%{release}
Requires:	gtk-doc
BuildArch:	noarch

%description -n libeek-devel-docs
This package contains the developer documentation for eekboard.

%package -n libeek-gtk
Summary:	Runtime libraries for eekboard (GTK+ support)
Group:		System Environment/Libraries

Requires:	libeek = %{version}-%{release}

%description -n libeek-gtk
This package contains the libraries for eekboard (GTK+ support).

%package -n libeek-gtk-devel
Summary:	Development tools for eekboard (GTK+ support)
Group:		Development/Libraries

Requires:	libeek-gtk = %{version}-%{release}
Requires:	libeek-devel = %{version}-%{release}

%description -n libeek-gtk-devel
This package contains the header files and development tools for
eekboard (GTK+ support).

%package -n libeek-clutter
Summary:	Runtime libraries for eekboard (Clutter support)
Group:		System Environment/Libraries

Requires:	libeek = %{version}-%{release}

%description -n libeek-clutter
This package contains the libraries for eekboard (Clutter support).

%package -n libeek-clutter-devel
Summary:	Development tools for eekboard (Clutter support)
Group:		Development/Libraries

Requires:	libeek-clutter = %{version}-%{release}
Requires:	libeek-devel = %{version}-%{release}

%description -n libeek-clutter-devel
This package contains the header files and development tools for
eekboard (Clutter support).

%package -n libeek-xkb
Summary:	Runtime libraries for eekboard (XKB support)
Group:		System Environment/Libraries

Requires:	libeek = %{version}-%{release}

%description -n libeek-xkb
This package contains the libraries for eekboard (XKB support).

%package -n libeek-xkb-devel
Summary:	Development tools for eekboard (XKB support)
Group:		Development/Libraries

Requires:	libeek-xkb = %{version}-%{release}
Requires:	libeek-devel = %{version}-%{release}

%description -n libeek-xkb-devel
This package contains the header files and development tools for
eekboard (XKB support).

%package -n libeek-xkl
Summary:	Runtime libraries for eekboard (libxklavier support)
Group:		System Environment/Libraries

Requires:	libeek-xkb = %{version}-%{release}

%description -n libeek-xkl
This package contains the libraries for eekboard (libxklavier support).

%package -n libeek-xkl-devel
Summary:	Development tools for eekboard (libxklavier support)
Group:		Development/Libraries

Requires:	libeek-xkl = %{version}-%{release}
Requires:	libeek-xkb-devel = %{version}-%{release}

%description -n libeek-xkl-devel
This package contains the header files and development tools for
eekboard (libxklavier support).

%prep
%setup -q


%build
# Prevent the upstream configure script from using clutter-gtk-0.90,
# which is not available in Fedora yet.
export CLUTTER_GTK_CFLAGS=`pkg-config clutter-gtk-0.10 --cflags`
export CLUTTER_GTK_LIBS=`pkg-config clutter-gtk-0.10 --libs`
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
%{SOURCE1}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post -n libeek -p /sbin/ldconfig
%postun -n libeek -p /sbin/ldconfig

%post -n libeek-gtk -p /sbin/ldconfig
%postun -n libeek-gtk -p /sbin/ldconfig

%post -n libeek-clutter -p /sbin/ldconfig
%postun -n libeek-clutter -p /sbin/ldconfig

%post -n libeek-xkb -p /sbin/ldconfig
%postun -n libeek-xkb -p /sbin/ldconfig

%post -n libeek-xkl -p /sbin/ldconfig
%postun -n libeek-xkl -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/eekboard
%{_datadir}/applications/%{name}.desktop

%files -n libeek
%defattr(-,root,root,-)
%{_libdir}/libeek.so.*
%{_libdir}/girepository-1.0/Eek-0.1.typelib

%files -n libeek-devel
%defattr(-,root,root,-)
%{_libdir}/libeek.so
%{_includedir}/eek-0.1/eek/eek-container.h
%{_includedir}/eek-0.1/eek/eek-element.h
%{_includedir}/eek-0.1/eek/eek-key.h
%{_includedir}/eek-0.1/eek/eek-keyboard.h
%{_includedir}/eek-0.1/eek/eek-keysym.h
%{_includedir}/eek-0.1/eek/eek-layout.h
%{_includedir}/eek-0.1/eek/eek-section.h
%{_includedir}/eek-0.1/eek/eek-types.h
%{_includedir}/eek-0.1/eek/eek.h
%{_datadir}/gir-1.0/Eek-0.1.gir
%{_datadir}/vala/vapi/eek-0.1.vapi
%{_libdir}/pkgconfig/eek-0.1.pc

%files -n libeek-devel-docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/*

%files -n libeek-gtk
%defattr(-,root,root,-)
%{_libdir}/libeek-gtk.so.*
%{_libdir}/girepository-1.0/EekGtk-0.1.typelib

%files -n libeek-gtk-devel
%defattr(-,root,root,-)
%{_libdir}/libeek-gtk.so
%{_includedir}/eek-0.1/eek/eek-gtk*.h
%{_datadir}/gir-1.0/EekGtk-0.1.gir
%{_datadir}/vala/vapi/eek-gtk-0.1.vapi
%{_libdir}/pkgconfig/eek-gtk-0.1.pc

%files -n libeek-clutter
%defattr(-,root,root,-)
%{_libdir}/libeek-clutter.so.*
%{_libdir}/girepository-1.0/EekClutter-0.1.typelib

%files -n libeek-clutter-devel
%defattr(-,root,root,-)
%{_libdir}/libeek-clutter.so
%{_includedir}/eek-0.1/eek/eek-clutter*.h
%{_datadir}/gir-1.0/EekClutter-0.1.gir
%{_datadir}/vala/vapi/eek-clutter-0.1.vapi
%{_libdir}/pkgconfig/eek-clutter-0.1.pc

%files -n libeek-xkb
%defattr(-,root,root,-)
%{_libdir}/libeek-xkb.so.*
%{_libdir}/girepository-1.0/EekXkb-0.1.typelib

%files -n libeek-xkb-devel
%defattr(-,root,root,-)
%{_libdir}/libeek-xkb.so
%{_includedir}/eek-0.1/eek/eek-xkb*.h
%{_datadir}/gir-1.0/EekXkb-0.1.gir
%{_datadir}/vala/vapi/eek-xkb-0.1.vapi
%{_libdir}/pkgconfig/eek-xkb-0.1.pc

%files -n libeek-xkl
%defattr(-,root,root,-)
%{_libdir}/libeek-xkl.so.*
%{_libdir}/girepository-1.0/EekXkl-0.1.typelib

%files -n libeek-xkl-devel
%defattr(-,root,root,-)
%{_libdir}/libeek-xkl.so
%{_includedir}/eek-0.1/eek/eek-xkl*.h
%{_datadir}/gir-1.0/EekXkl-0.1.gir
%{_datadir}/vala/vapi/eek-xkl-0.1.vapi
%{_libdir}/pkgconfig/eek-xkl-0.1.pc


%changelog
* Tue Jun 22 2010 Daiki Ueno <dueno@redhat.com> - 0.0.2-1
- initial packaging for Fedora
